/*
 ****************************************************************************
 *
 *  (c) Copyright 2013 BOE IDM. All rights reserved.
 *
 *  This software is proprietary to and embodies the confidential
 *  technology of BOE IDM. Possession, use, or copying of this
 *  software and media is authorized only pursuant to a valid written
 *  license from BOE IDM.
 *
 ****************************************************************************
 */

package com.cim.idm.wmspackage.user.management.data;

import com.cim.idm.framework.orm.info.KeyInfo;

/*
 ****************************************************************************
 *  PACKAGE : com.cim.idm.mespackage.user.management.data
 *  NAME    : UserGroupMenuKey.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

public class UserGroupMenuKey implements KeyInfo
{
	private String  siteName;
	private String	userGroupName;
	private String	UIName;
	private String	menuName;

	public UserGroupMenuKey()
	{
	}

	public UserGroupMenuKey(String siteName, String userGroupName, String uiName, String menuName)
	{
		this.siteName = siteName;
		this.userGroupName = userGroupName;
		this.UIName = uiName;
		this.menuName = menuName;
	}

	public String getUserGroupName()
	{
		return userGroupName;
	}

	public void setUserGroupName(String userGroupName)
	{
		this.userGroupName = userGroupName;
	}

	public String getUIName()
	{
		return UIName;
	}

	public void setUIName(String uiName)
	{
		this.UIName = uiName;
	}

	public String getMenuName()
	{
		return menuName;
	}

	public void setMenuName(String menuName)
	{
		this.menuName = menuName;
	}

	public String getSiteName() {
		return siteName;
	}

	public void setSiteName(String siteName) {
		this.siteName = siteName;
	}
	

}
